%define fw_version 5.24

Summary:	KDE Frameworks 5 system notifications module
Name:		knotifications
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5codecs-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	pkgconfig(dbusmenu-qt5)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)

%description
KDE Frameworks 5 system notifications module.

%files
%{_kde5_servicetypes}/knotificationplugin.desktop

#----------------------------------------------------------------------------

%package i18n
Summary:	KNotifications translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KNotifications translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5notifications_major 5
%define libkf5notifications %mklibname kf5notifications %{kf5notifications_major}

%package -n %{libkf5notifications}
Summary:	KDE Frameworks 5 system notifications shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5notifications}
KDE Frameworks 5 system notifications shared library.

%files -n %{libkf5notifications}
%{_kde5_libdir}/libKF5Notifications.so.%{kf5notifications_major}*

#----------------------------------------------------------------------------

%define devkf5notifications %mklibname kf5notifications -d

%package -n %{devkf5notifications}
Summary:	Development files for KDE Frameworks 5 system notifications module
Group:		Development/KDE and Qt
Requires:	%{libkf5notifications} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5notifications-devel = %{version}
Conflicts:	%{name} < 5.7.0-2

%description -n %{devkf5notifications}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5notifications}
%{_kde5_includedir}/KF5/KNotifications
%{_kde5_includedir}/KF5/knotifications_version.h
%{_kde5_libdir}/cmake/KF5Notifications
%{_kde5_libdir}/libKF5Notifications.so
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.*.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (cbc95d7) New version 5.24.0


